<div>
  <div class="d-flex flex-wrap">
    <button
      type="button"
      class="btn btn-truefalse"
      *ngFor="let a of currQuestion.answers; let i = index"
      [class.btn-truefalse-selected]="isSelected(a)"
      [class.btn-success]="isCorrect(a)"
      [class.btn-danger]="!isCorrect(a)"
    >
      <h1>
        <div class="row">
          <!-- Add the tick icon to the green button -->
          <div *ngIf="getButtonClass(a.aHtml) === 'btn-success'" class="mr-3"><i class="fas fa-check"></i></div>

          <!-- Add the x icon to the red button -->
          <div *ngIf="getButtonClass(a.aHtml) === 'btn-danger'" class="mr-3"><i class="fas fa-times"></i></div>

          <div
            [innerHTML]="sanitizer.bypassSecurityTrustHtml(a.aHtml)"
          ></div>
        </div>
      </h1>
    </button>
  </div>
</div>
